## opensmtpd-filter-dkimsign 0.5

=== Makefile ===
LOCALBASE?=	/usr/local/

PROG=		filter-dkimsign
MAN=		filter-dkimsign.8
BINDIR=		${LOCALBASE}/libexec/smtpd/
MANDIR=		${LOCALBASE}/man/man

SRCS+=		main.c mheader.c

.ifdef HAVE_ED25519
CFLAGS+=	-DHAVE_ED25519
.endif
.ifdef LIBCRYPTOPC
CRYPT_CFLAGS!=	pkg-config --cflags ${LIBCRYPTOPC}
CRYPT_LDFLAGS_L!=pkg-config --libs-only-L ${LIBCRYPTOPC}
CRYPT_LDFLAGS_libdir!=pkg-config --variable libdir ${LIBCRYPTOPC}
CRYPT_LDFLAGS=	${CRYPT_LDFLAGS_L}
CRYPT_LDFLAGS+=	-Wl,-rpath,${CRYPT_LDFLAGS_libdir}
CRYPT_LDADD!=	pkg-config --libs-only-l ${LIBCRYPTOPC}
.else
CRYPT_CFLAGS=
CRYPT_LDFLAGS=
CRYPT_LDADD=	-lcrypto
.endif

CFLAGS+=	-I${LOCALBASE}/include -I${.CURDIR}/openbsd-compat 
CFLAGS+=	-Wall -I${.CURDIR}
CFLAGS+=	-Wstrict-prototypes -Wmissing-prototypes
CFLAGS+=	-Wmissing-declarations
CFLAGS+=	-Wshadow -Wpointer-arith -Wcast-qual
CFLAGS+=	-Wsign-compare
CFLAGS+=	${CRYPT_CFLAGS}

LDFLAGS+=	-L${LOCALBASE}/lib
LDFLAGS+=	${CRYPT_LDFLAGS}
LDADD+=		${CRYPT_LDADD} -lopensmtpd
DPADD=		${LIBCRYPTO}

bindir:
	${INSTALL} -d ${DESTDIR}${BINDIR}

.include <bsd.prog.mk>

=== debian/changelog ===
opensmtpd-filter-dkimsign (0.5-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:32 +1100

opensmtpd-filter-dkimsign (0.5-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:31:17 +0000

opensmtpd-filter-dkimsign (0.5-2) unstable; urgency=medium

  * For reproducibility purposes, we no longer embed the build date in man
    pages
  * Update lintian overrides to match renamed tags
  * Bump standards version
  * Bump copyright year

 -- Ryan Kavanagh <rak@debian.org>  Thu, 25 Aug 2022 08:45:36 -0400

opensmtpd-filter-dkimsign (0.5-1) unstable; urgency=medium

  * Initial release (Closes: #989272)

 -- Ryan Kavanagh <rak@debian.org>  Sun, 24 Oct 2021 11:28:13 -0400

=== debian/control ===
Source: opensmtpd-filter-dkimsign
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ryan Kavanagh <rak@debian.org>
Build-Depends: debhelper-compat (= 13),
               libopensmtpd-dev,
               libssl-dev,
               mandoc,
Standards-Version: 4.6.1
Homepage: http://imperialat.at/dev/filter-dkimsign/
Vcs-Browser: https://salsa.debian.org/debian/opensmtpd-filter-dkimsign
Vcs-Git: https://salsa.debian.org/debian/opensmtpd-filter-dkimsign.git

Package: opensmtpd-filter-dkimsign
Architecture: any
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: openssl,
Description: opensmtpd filter that signs email with a dkim signature
 This OpenSMTPD filter signs emails with a DKIM signature. It supports
 the rsa and ed25519 signing algorithms.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=makefile

override_dh_auto_configure:
	dh_auto_configure -- -f Makefile.gnu

override_dh_auto_build:
	dh_auto_build -- -f Makefile.gnu HAVE_ED25519=1

override_dh_auto_install:
	dh_auto_install -- -f Makefile.gnu LOCALBASE=/usr

override_dh_auto_clean:
	dh_auto_clean -- -f Makefile.gnu

override_dh_auto_test:
	# no tests
